-- Test id_document_type_i18n
set client_min_messages to warning;
create extension if not exists pgtap;
reset client_min_messages;

begin;

select plan(23);

set search_path to camper, public;

select has_table('id_document_type_i18n');
select has_pk('id_document_type_i18n');
select col_is_pk('id_document_type_i18n', array['id_document_type_id', 'lang_tag']);
select table_privs_are('id_document_type_i18n', 'guest', array[]::text[]);
select table_privs_are('id_document_type_i18n', 'employee', array['SELECT']);
select table_privs_are('id_document_type_i18n', 'admin', array['SELECT']);
select table_privs_are('id_document_type_i18n', 'authenticator', array[]::text[]);

select has_column('id_document_type_i18n', 'id_document_type_id');
select col_is_fk('id_document_type_i18n', 'id_document_type_id');
select fk_ok('id_document_type_i18n', 'id_document_type_id', 'id_document_type', 'id_document_type_id');
select col_type_is('id_document_type_i18n', 'id_document_type_id', 'character varying(1)');
select col_not_null('id_document_type_i18n', 'id_document_type_id');
select col_hasnt_default('id_document_type_i18n', 'id_document_type_id');

select has_column('id_document_type_i18n', 'lang_tag');
select col_is_fk('id_document_type_i18n', 'lang_tag');
select fk_ok('id_document_type_i18n', 'lang_tag', 'language', 'lang_tag');
select col_type_is('id_document_type_i18n', 'lang_tag', 'text');
select col_not_null('id_document_type_i18n', 'lang_tag');
select col_hasnt_default('id_document_type_i18n', 'lang_tag');

select has_column('id_document_type_i18n', 'name');
select col_type_is('id_document_type_i18n', 'name', 'text');
select col_not_null('id_document_type_i18n', 'name');
select col_hasnt_default('id_document_type_i18n', 'name');


select *
from finish();

rollback;

